=== debian/changelog ===
camp (0.7.1.1-1) unstable; urgency=low

  * Initial release (Closes: #759244)

 -- Corentin Desfarges <corentin.desfarges.dev@gmail.com>  Wed, 10 Sep 2014 09:45:00 +0200
