## camp 0.7.1.3

=== debian/changelog ===
camp (0.7.1.3-1) unstable; urgency=medium

  * New upstream version
  * Fix end of line issues
  * Support of c++11

 -- Corentin Desfarges <corentin.desfarges.dev@gmail.com>  Tue, 12 Jan 2016 12:11:51 +0100

camp (0.7.1.1-2) unstable; urgency=medium

  * Apply patch to prevent parse error at "BOOST_JOIN". Closes: #795497.
  * Team maintenance in Debian Med team

 -- Corentin Desfarges <corentin.desfarges.dev@gmail.com>  Mon, 21 Dec 2015 12:59:59 +0200
