=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: camp
-Maintainer: Corentin Desfarges <corentin.desfarges.dev@gmail.com>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Uploaders: Corentin Desfarges <corentin.desfarges.dev@gmail.com>
 Section: science
 Priority: optional
 Build-Depends: cmake,
@@ -7,7 +8,7 @@
                libboost-dev,
                libboost-test-dev,
                libqt4-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/camp.git
 Vcs-Git: git://anonscm.debian.org/debian-med/camp.git
 Homepage: https://github.com/tegesoft/camp
