=== debian/rules ===
#!/usr/bin/make -f

CPPFLAGS:=-std=c++11

%:
	dh $@
