=== debian/watch ===
version=3
https://github.com/corentindesfarges/camp/releases .*/archive/(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
