=== debian/changelog ===
camp (0.8.1-2) unstable; urgency=medium

  * d/control: Add proper conflicts/replaces with 0.7 versions. Closes: #876130

 -- Flavien Bridault <fbridault@ircad.fr>  Tue, 19 Sep 2017 07:35:20 +0000

camp (0.8.1-1) unstable; urgency=medium

  * d/control: Remove unrelated last line. Closes: #813714.
  * d/control: Move to standards version 4.0.1 
  * d/copyright: Change licence to MIT according to upstream change
  * d/patches: Remove patches integrated upstream
  * New upstream version 0.8.1 that drops Qt4 in favor of Qt5. Closes: #874842 

 -- Flavien Bridault <fbridault@ircad.fr>  Thu, 14 Sep 2017 10:41:47 +0000

camp (0.7.1.5-1) unstable; urgency=medium

  [ Flavien Bridault ]
  * New upstream version
  * Removed Corentin Desfarges as Uploader
  * Added myself as Uploader
  * d/watch: Moved to official fw4spl fork
  * d/rules: Enabled parallel build
  * d/support_c++11.patch: Removed, was integrated upstream.
  * cme fix dpkg-control
  * d/control: Multi-arch
  * d/copyright: Fixed licences
  * d/patches/remove_licences_files.patch: Only prevent licence install,
    do not delete.

  [ Andreas Tille ]
  * debhelper 10 (which enables parallel build as default)
  * hardening=+all
  * drop version number from -dev package

 -- Flavien Bridault <fbridault@ircad.fr>  Thu, 24 Nov 2016 11:16:24 +0100
