=== debian/control ===
--- 
+++ 
@@ -1,23 +1,28 @@
 Source: camp
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Corentin Desfarges <corentin.desfarges.dev@gmail.com>
+Uploaders: Flavien Bridault <fbridault@ircad.fr>
 Section: science
 Priority: optional
 Build-Depends: cmake,
-               debhelper (>= 9),
+               debhelper (>= 10),
+               d-shlibs,
                libboost-dev,
                libboost-test-dev,
-               libqt4-dev
-Standards-Version: 3.9.6
+               qtbase5-dev
+Standards-Version: 4.1.0
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/camp.git
-Vcs-Git: git://anonscm.debian.org/debian-med/camp.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/camp.git
 Homepage: https://github.com/tegesoft/camp
 
-Package: libcamp0.7
+Package: libcamp0.8
 Architecture: any
+Multi-Arch: same
 Section: libs
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
+Replaces: libcamp0.7
+Provides: libcamp0.7
+Conflicts: libcamp0.7
 Description: C++ multi-purpose reflection library
  CAMP is a multi-purpose reflection library developed by Technogerma Systems
  France (http://www.tegesoft.com).
@@ -41,13 +46,16 @@
  powerful and consistent interface for manipulating your objects outside C++
  code.
 
-Package: libcamp0.7-dev
+Package: libcamp-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
-Depends: libcamp0.7 (= ${binary:Version}),
+Depends: libcamp0.8 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
-Provides: libcamp-dev
+Conflicts: libcamp0.7-dev
+Provides: libcamp0.7-dev
+Replaces: libcamp0.7-dev
 Description: C++ multi-purpose reflection library (development files)
  CAMP is a multi-purpose reflection library developed by Technogerma Systems
  France (http://www.tegesoft.com).
@@ -71,4 +79,4 @@
  powerful and consistent interface for manipulating your objects outside C++
  code.
  .
- This package contains the development files needed to build you own VXL apps.
+ This package contains the files needed for development.
