=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_TEST=TRUE -DBUILD_TEST_QT=TRUE

override_dh_install:
	dh_install
	d-shlibmove \
		--commit --multiarch --devunversioned --exclude-a --exclude-la \
		--movedev debian/tmp/usr/include/camp usr/include \
		--movedev debian/tmp/usr/include/camp-xml usr/include \
		debian/tmp/usr/lib/*.so
