=== debian/watch ===
version=3
https://github.com/fw4spl-org/camp/releases .*/archive/(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
