## camp 0.8.2

=== debian/changelog ===
camp (0.8.2-2) unstable; urgency=medium

  * d/rules: Install CMake files
  * d/p/fix_cmake_target.patch: Use arch dependent library dir
  * Use `cme fix dpkg-control` to
     - Update Standards-Version: 4.4.0

 -- Flavien Bridault <fbridault@ircad.fr>  Sat, 20 Jul 2019 10:23:10 +0000

camp (0.8.2-1) unstable; urgency=medium

  [ Flavien Bridault ]
  * New upstream version 0.8.2. Closes: #876147 
  * d/patches: Remove obsolete hide_boost_from_qt4moc.patch

  [ Andreas Tille ]
  * Use `cme fix dpkg-control` to
     - Update Standards-Version: 4.1.4
     - Point Vcs fields to salsa.debian.org
  * debhelper 11

 -- Flavien Bridault <fbridault@ircad.fr>  Mon, 16 Apr 2018 16:33:23 +0200
