=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Section: science
 Priority: optional
 Build-Depends: cmake,
-               debhelper (>= 10),
+               debhelper (>= 11~),
                d-shlibs,
                libboost-dev,
                libboost-test-dev,
                qtbase5-dev
-Standards-Version: 4.1.0
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/camp.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/camp.git
+Standards-Version: 4.4.0
+Vcs-Browser: https://salsa.debian.org/med-team/camp
+Vcs-Git: https://salsa.debian.org/med-team/camp.git
 Homepage: https://github.com/tegesoft/camp
 
 Package: libcamp0.8
@@ -20,9 +20,9 @@
 Section: libs
 Depends: ${shlibs:Depends},
          ${misc:Depends}
+Conflicts: libcamp0.7
+Provides: libcamp0.7
 Replaces: libcamp0.7
-Provides: libcamp0.7
-Conflicts: libcamp0.7
 Description: C++ multi-purpose reflection library
  CAMP is a multi-purpose reflection library developed by Technogerma Systems
  France (http://www.tegesoft.com).
