## camp 0.8.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,30 +1,43 @@
 ###############################################################################
 ##
-## Copyright (C) 2009-2010 TECHNOGERMA Systems France and/or its subsidiary(-ies).
-## Contact: Technogerma Systems France Information (contact@technogerma.fr)
+## Copyright (C) 2009-2014 TEGESO/TEGESOFT and/or its subsidiary(-ies) and mother company.
+## Contact: Tegesoft Information (contact@tegesoft.com)
 ##
 ## This file is part of the CAMP library.
 ##
-## CAMP is free software: you can redistribute it and/or modify
-## it under the terms of the GNU Lesser General Public License as published by
-## the Free Software Foundation, either version 3 of the License, or
-## (at your option) any later version.
-## 
-## CAMP is distributed in the hope that it will be useful,
-## but WITHOUT ANY WARRANTY; without even the implied warranty of
-## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-## GNU Lesser General Public License for more details.
-## 
-## You should have received a copy of the GNU Lesser General Public License
-## along with CAMP.  If not, see <http://www.gnu.org/licenses/>.
+## The MIT License (MIT)
+##
+## Copyright (c) 2009-2014 TEGESO/TEGESOFT
+##
+## Permission is hereby granted, free of charge, to any person obtaining a copy
+## of this software and associated documentation files (the "Software"), to deal
+## in the Software without restriction, including without limitation the rights
+## to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
+## copies of the Software, and to permit persons to whom the Software is
+## furnished to do so, subject to the following conditions:
+##
+## The above copyright notice and this permission notice shall be included in
+## all copies or substantial portions of the Software.
+##
+## THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+## IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+## FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
+## AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
+## LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
+## OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
+## THE SOFTWARE.
 ##
 ###############################################################################
 
 
-cmake_minimum_required(VERSION 2.6)
+cmake_minimum_required(VERSION 2.8.8)
 
 # set project's name
 project(CAMP)
+
+# require C++11 standard by default
+set(CMAKE_CXX_STANDARD 11)
+set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 # include project configuration
 include(${CMAKE_SOURCE_DIR}/cmake/Config.cmake)
@@ -148,7 +161,7 @@
 
 # define the export macro
 if(BUILD_SHARED_LIBS)
-    set_target_properties(camp PROPERTIES DEFINE_SYMBOL CAMP_EXPORTS)
+    set_target_properties(camp PROPERTIES DEFINE_SYMBOL CAMP_EXPORTS SOVERSION "${VERSION_MAJOR}.${VERSION_MINOR}" VERSION "${VERSION_STR}")
 else()
     add_definitions(-DCAMP_STATIC)
 endif()
@@ -167,6 +180,7 @@
 
 # add the test subdirectory, but do not build it by default
 if(BUILD_TEST)
+    enable_testing()
     add_subdirectory(test)
 endif()
 
@@ -175,6 +189,26 @@
 ###############################
 
 add_subdirectory(doc)
+
+###############################
+# support files
+###############################
+# pkg-config
+configure_file(cmake/camp.pc.in ${CMAKE_BINARY_DIR}/camp.pc @ONLY)
+
+# cmake
+include(CMakePackageConfigHelpers)
+
+configure_package_config_file(cmake/CAMPConfig.cmake.in
+    ${CMAKE_CURRENT_BINARY_DIR}/CAMPConfig.cmake
+    INSTALL_DESTINATION lib/camp/cmake
+)
+
+write_basic_package_version_file(
+    ${CMAKE_CURRENT_BINARY_DIR}/CAMPConfigVersion.cmake
+    VERSION ${VERSION_STR}
+    COMPATIBILITY AnyNewerVersion
+)
 
 ###############################
 # installing
@@ -191,12 +225,29 @@
 )
 
 install(TARGETS camp
+    EXPORT CAMPTargets
     RUNTIME DESTINATION bin COMPONENT bin
-    LIBRARY DESTINATION lib COMPONENT bin 
+    LIBRARY DESTINATION lib COMPONENT bin
     ARCHIVE DESTINATION lib COMPONENT devel
 )
 
-install(FILES README.txt COPYING.txt LICENSE.LGPL3.txt
+install(FILES ${CMAKE_BINARY_DIR}/camp.pc
+    DESTINATION lib/pkgconfig
+    COMPONENT devel
+)
+
+install(EXPORT CAMPTargets
+    NAMESPACE camp::
+    DESTINATION lib/camp/cmake
+    COMPONENT devel
+)
+
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/CAMPConfig.cmake ${CMAKE_CURRENT_BINARY_DIR}/CAMPConfigVersion.cmake
+    DESTINATION lib/camp/cmake
+    COMPONENT devel
+)
+
+install(FILES README.txt COPYING.txt
     DESTINATION ${INSTALL_MISC_DIR}
 )
