=== debian/changelog ===
camp (0.8.4-5) unstable; urgency=medium

  * Team upload.
  * Fix Build issue with CMake 4
    Closes: #1112760
  * d/watch: version=5
  * Standards-Version: 4.7.2 (routine-update)
  * debputy lint --auto-fix (routine-update)
  * Remove package relations to 0.7 versions that do not exist any more
  * Remove version from Conflicts libcamp0.8

 -- Andreas Tille <tille@debian.org>  Fri, 17 Oct 2025 10:07:48 +0200

camp (0.8.4-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062037

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 05:39:20 +0000

camp (0.8.4-4) unstable; urgency=medium

  * Team upload.
  * Fix watch file
  * Apply multi-arch hints.
    + libcamp-dev: Add Multi-Arch: same.

 -- Andreas Tille <tille@debian.org>  Mon, 08 Nov 2021 21:30:04 +0100

camp (0.8.4-3) unstable; urgency=medium

  * d/patches: fix CMake patch to support multi-arch paths properly
  * d/*: update urls

 -- Flavien Bridault <fbridault@ircad.fr>  Tue, 19 Oct 2021 12:57:58 +0000

camp (0.8.4-2) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + libcamp-dev: Drop Multi-Arch: same.

  [ Steffen Moeller ]
  * Fix watchfile to detect new versions on github (routine-update)

  [ Andreas Tille ]
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Update watch file format version to 4.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Install not yet installed pkgconfig and cmake files

  [ Flavien Bridault ]
  * d/patches: Add do_not_install_misc_cmake_files.patch

 -- Andreas Tille <tille@debian.org>  Wed, 15 Sep 2021 16:43:03 +0200

camp (0.8.4-1) unstable; urgency=medium

  [ Flavien Bridault ]
  * New upstream version 0.8.4.
  * d/control: Change HomePage
  * d/copyright: Change source url
  * d/watch: Change url
  * cme fix dpkg

  [ Andreas Tille ]
  * debhelper 12

 -- Flavien Bridault <fbridault@ircad.fr>  Mon, 09 Dec 2019 07:47:39 +0000
