=== debian/control ===
--- 
+++ 
@@ -1,28 +1,36 @@
 Source: camp
+Standards-Version: 4.7.2
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Flavien Bridault <fbridault@ircad.fr>
+Uploaders:
+ Flavien Bridault <fbridault@ircad.fr>,
 Section: science
 Priority: optional
-Build-Depends: cmake,
-               debhelper (>= 11~),
-               d-shlibs,
-               libboost-dev,
-               libboost-test-dev,
-               qtbase5-dev
-Standards-Version: 4.4.0
+Build-Depends:
+ dpkg-dev (>= 1.22.5),
+ cmake,
+ debhelper-compat (= 13),
+ d-shlibs (>= 0.106~),
+ libboost-dev,
+ libboost-test-dev,
+ qtbase5-dev,
 Vcs-Browser: https://salsa.debian.org/med-team/camp
 Vcs-Git: https://salsa.debian.org/med-team/camp.git
-Homepage: https://github.com/tegesoft/camp
+Homepage: https://github.com/IRCAD/camp
+Rules-Requires-Root: no
 
-Package: libcamp0.8
+Package: libcamp0.8t64
 Architecture: any
 Multi-Arch: same
 Section: libs
-Depends: ${shlibs:Depends},
-         ${misc:Depends}
-Conflicts: libcamp0.7
-Provides: libcamp0.7
-Replaces: libcamp0.7
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
+Conflicts:
+ libcamp0.8,
+Provides:
+ ${t64:Provides},
+Replaces:
+ libcamp0.8,
 Description: C++ multi-purpose reflection library
  CAMP is a multi-purpose reflection library developed by Technogerma Systems
  France (http://www.tegesoft.com).
@@ -50,12 +58,10 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libcamp0.8 (= ${binary:Version}),
-         ${shlibs:Depends},
-         ${misc:Depends}
-Conflicts: libcamp0.7-dev
-Provides: libcamp0.7-dev
-Replaces: libcamp0.7-dev
+Depends:
+ libcamp0.8t64 (= ${binary:Version}),
+ ${shlibs:Depends},
+ ${misc:Depends},
 Description: C++ multi-purpose reflection library (development files)
  CAMP is a multi-purpose reflection library developed by Technogerma Systems
  France (http://www.tegesoft.com).
