=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_TEST=TRUE -DBUILD_TEST_QT=TRUE -DCMAKE_POLICY_VERSION_MINIMUM=3.5

override_dh_install:
	dh_install
	d-shlibmove \
		--t64 \
		--commit --multiarch --devunversioned --exclude-a --exclude-la \
		--movedev debian/tmp/usr/include/camp usr/include \
		--movedev debian/tmp/usr/include/camp-xml usr/include \
		--movedev debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/cmake/camp usr/lib/${DEB_HOST_MULTIARCH}/cmake \
		--movedev debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/pkgconfig/camp.pc usr/lib/${DEB_HOST_MULTIARCH}/pkgconfig \
		debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/*.so
	find debian -name camp.pc.in -delete
