=== debian/watch ===
Version: 5

Template: Github
Owner: IRCAD
Project: camp
